/*=====================================================================================
	košík blok
=====================================================================================*/


.block-basic-cart div[class*='basic_cart-msg-pck'] a{
text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: start;
}

.basic_cart-circles{
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: var(--smallText);
  line-height: var(--smallTextLine);
  background: var(--warning-50);
  font-weight: 500;
  color: var(--white);
  width: 20px;
  height: 20px;
-webkit-border-radius: var(--borderRadius_50);
-moz-border-radius: var(--borderRadius_50);
border-radius: var(--borderRadius_50);
  margin-left: -10px;
  margin-top: -5px;
}


.block-basic-cart-cartblock {
  position: absolute;
  right: 0px;
  top: 100%;
  padding-top: var(--gap_16);
display:none;
  width: 330px;

}

.block-basic-cart-cartblock .basic-cart-block{
  width: 100%;
-webkit-border-radius: var(--smallBorderRadius);
-moz-border-radius: var(--smallBorderRadius);
border-radius: var(--smallBorderRadius);
 text-align: left;
  background: var(--white);
  padding: var(--gap_15);
  -webkit-box-shadow: var(--boxshadow);
  box-shadow: var(--boxshadow);

}

.block-basic-cart-countblock{
  position: absolute;
  right: 10px;
  top: 10px;
  z-index: 1;
}

 .block-basic-cart-cartblock:hover,
.block-basic-cart div[class*="basic_cart-msg-pck"]:hover + .block-basic-cart-cartblock{
display:block;
}


.block-basic-cart-cartblock > h2{
display:none;
}




.basic_cart-grid {
   display: block;
 color: var(--text-primary);
  font-size: var(--middleText);
  line-height: var(--middleText);
}

.basic_cart-cart-contents {
  padding: var(--gap_8) 0px;
  border-bottom: 1px solid var(--grey-10);
}


.basic_cart-grid .row {
  align-items: center;  display: flex;
  float: none;
}

.basic_cart-grid .cell {
  display: block;
  float: none;
}


.basic_cart-cart-total-price-contents {
  padding: var(--gap_8) 0px;
}

.basic_cart-grid .basic_cart-total-price{
  display: flex;
  justify-content: space-between;
  align-items: center;  width: 100%;
}

.basic_cart-grid .basic_cart-total-price strong{
  color: var(--warning-50);

}


 .block-basic-cart-cartblock .basic_cart-cart-quantity.cell {
  float: none;
  width: 22px;
  margin: 0px 0px 0px auto ;

  text-align: right;
}

.basic_cart-cart-x.cell {
  float: none;
  margin: 0px 0px 0px 0px;
  padding: 0px 5px;  width: 22px;
}

 

.basic_cart-cart-unit-price.cell {
  width: auto;
  flex-shrink: 0;
  float: none;  
}


.basic_cart-cart-node-title a{ 
font-weight:500;text-decoration:none;
}


/*=====================================================================================
	quantity
=====================================================================================*/

.basic_cart-cart-quantity .form-type-number,
.addtocart-quantity-wrapper-container {
  width: 160px;
margin: 0px;
position:relative;
  padding: 0px 48px;
}

.basic_cart-cart-quantity .form-type-number input,
.addtocart-quantity-wrapper-container .quantity_dynamic_text{
  padding: var(--gap_9) var(--gap_15);
  border: 1px solid var(--grey-10);
-webkit-border-radius: var(--smallBorderRadius);
-moz-border-radius: var(--smallBorderRadius);
border-radius: var(--smallBorderRadius);
  width: 100%;
  text-align: center;
}

.addtocart-quantity-wrapper-container label{
  position: absolute !important;
  height: 1px !important;
  width: 1px !important;
  overflow: hidden;
  clip: rect(1px,1px,1px,1px);
}
 

.value-button{
cursor:pointer;
  border: none;
font-weight: 400;
font-size: 22px;
line-height: 22px;text-align:center;
height: 40px;
width:40px;
padding: 0px 0px;
position:absolute;top:0px;
 
  display: flex;
  justify-content: center;
  align-items: center;

color:var(--primary);
background:var(--grey-10);

-webkit-border-radius: var(--borderRadius_50);
-moz-border-radius: var(--borderRadius_50);
border-radius: var(--borderRadius_50);

}

.value-button:focus,
.value-button:hover{
  color: #ffffff;
  background-color: #000;
}



.value-button.increase{
right:0px;
}

.value-button.decrease{
left:0px;
}
 

.field--name-add-to-cart .ajax-addtocart-wrapper{
  display: block !important;
  opacity: 1 !important;

}

.field--name-add-to-cart .ajax-addtocart-wrapper p.messages{
margin:0px;
  padding: var(--gap_10) var(--gap_60);
  -webkit-border-radius: var(--smallBorderRadius);
  -moz-border-radius: var(--smallBorderRadius);
  border-radius: var(--smallBorderRadius);
}


/*=====================================================================================
	kosik
=====================================================================================*/

.basic_cart-delete-image-image a{
display:block;width:15px;height:17px;
background:url(../images/delete.svg) no-repeat center center;
background-size:auto 100% ;
}

.basic_cart-delete-image-image a img{
display:none;
}
.basic_cart-cart .row{gap:var(--gap_16);}

.basic_cart-cart .basic_cart-delete-image{order:1;}
.basic_cart-cart .basic_cart-cart-node-title{order:0;}
.basic_cart-cart .basic_cart-cart-unit-price{order:3;margin:0px 0px 0px;width:100%;max-width:150px;}
.basic_cart-cart .basic_cart-cart-quantity{order:2;margin:0px 0px 0px auto;}


